
:root {
  --spot-color: #d33d33;
  --lines-color: #f2f2f2;
  --grey-background: #f9f9f9;
}

html {
  box-sizing: border-box;
  height: 100%;
  overflow-y: scroll;
}
body {
  margin: 0;
  height: 100%;
  background-color: var(--grey-background);
  font: normal 300 13px/1.5 'Open Sans', Arial, sans-serif;
  color: black;
}
*, *:before, *:after {
  box-sizing: inherit;
}

p {
  margin: 15px 0;
}
ul {
  margin: 15px 0;
  padding-left: 25px;
}
a {
  text-decoration: none;
  color: black;
}
a:hover {
  color: var(--spot-color);
}

.wrapper {
  margin: 0 auto;
  min-height: 100%;
  max-width: 1200px;
  background-color: var(--lines-color);
  display: flex;
  flex-wrap: wrap;
  gap: 1px;
}
.left {
  flex-basis: 100%;
  background: var(--grey-background);
}
.right {
  flex: 1;
  background: white;
}
.right > section {
  margin-bottom: 20px;
  padding: 3%;
  border-bottom: 1px solid var(--lines-color);
}

.logo {
  display: block;
  margin: 0 auto;
  max-width: 50%;
  background-color: var(--spot-color);
  transition: all 0.3s ease-in-out 0s;
}
.logo:hover {
  border-radius: 50%;
}

.menu-button {
  display: block;
  margin: 25px auto;
  width: 94%;
  padding: 4px;
  /* font-size: 150%; */
}
.menu-button img {
  display: block;
  margin: 0 auto;
  height: 32px;
  width: 10%;
}
.menu {
  display: none;
  align-items: center;
  justify-content: center;
  position: fixed;
  inset: 0;
  z-index: 1;
  background: rgba(0,0,0,0.2);
}
.menu > ul {
  width: 240px;
  max-height: 75%;
  padding: 15px;
  overflow-y: auto;
  list-style: none;
  /* scrollbar-width: none; */
  background: white;
}
.menu > ul > li {
  border-bottom: 1px solid var(--lines-color);
}
.menu > ul > li.active {
  background-color: var(--grey-background);
  border-left: 3px solid var(--spot-color);
}
.menu > ul > li > a {
  display: block;
  padding: 18px 0 18px 30px;
  font: normal 16px/1.0 'Oswald', sans-serif;
  color: black;
}

.breadcrumbs {
  margin-bottom: 20px;
  padding: 20px 0;
  border-bottom: 1px solid var(--lines-color);
  overflow: hidden;
}
.breadcrumbs > a {
  margin-right: 7px;
}
.breadcrumbs > a::after {
  content: '|';
  padding-left: 7px;
  font-size: 70%;
  vertical-align: 0.2em;
}

.heading {
  margin: 28px 0 15px 0;
  padding-bottom: 20px;
  border-bottom: 2px solid var(--spot-color);
  font: normal 32px/1.0 'Oswald', sans-serif;
  text-transform: uppercase;
  color: black;
}

.content {
  margin-bottom: 15px;
  overflow: hidden;
}
.content h1 {
  margin: 35px 0 25px 0;
  padding-bottom: 15px;
  border-bottom: 1px solid black;
  font: normal 24px/1.0 'Oswald', sans-serif;
  text-transform: uppercase;
  color: black;
}
.content h2 {
  margin: 25px 0 15px 0;
  font: normal 16px/1.0 'Oswald', sans-serif;
  color: var(--spot-color);
}
.content a {
  text-decoration: underline dotted;
}
.content a:hover {
  text-decoration: underline solid;
}

.prev-next {
  display: flex;
  justify-content: space-between;
  margin: 15px 0;
}

.footer {
  text-align: center;
}
.footer p {
  margin: 20px 0;
}

.rnd-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 48px;
  height: 48px;
  border-radius: 50%;
}
.rnd-btn img {
  height: 50%;
}
.rnd-btn:hover img {
  filter: invert(1);
}

.red-btn {
  background: var(--spot-color);
}
.red-btn:hover {
  background: white;
  border: solid 1px black;
}

.btn-to-top {
  display: none;
  position: fixed;
  right: 5%;
  bottom: 15px;
  background: black; opacity: 0.4;
}
.btn-to-top:hover {
  background: white;
  border: solid 1px black;
  opacity: 1;
}

.flex-21-300 {
  display: flex;
  flex-wrap: wrap;
  gap: 0px;
}
.flex-21-300 > div {
  flex: 1;
  min-width: min( 300px, 100% );
}
.flex-21-300 h2 {
  margin: 15px 0;
}

.flex-321-200 {
  display: flex;
  flex-wrap: wrap;
  gap: 0px;
}
.flex-321-200 > div {
  flex: 1;
  min-width: min( 200px, 100% );
}
.flex-321-200 h2 {
  margin: 15px 0;
}

.flex-icons {
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
  margin: 20px 0px;
}
.flex-icons img {
  display: block;
  width: 48px;
  height: 48px;
  filter: brightness(98%) saturate(0%);
}
.flex-icons img:hover {
  filter: unset;
}

.box-grey, .box-red, .box-green, .box-blue, .box-magenta, .box-cyan, .box-yellow {
  margin: 15px 0;
  padding: 10px 15px;
}
.box-grey {
  background: hsl(0,0%,97.5%);
  border: 1px solid hsl(0,0%,90%);
}
.box-red {
  background: hsl(0,100%,97.5%);
  border: 1px solid hsl(0,100%,90%);
}
.box-yellow {
  background: hsl(60,100%,97.5%);
  border: 1px solid hsl(60,100%,90%);
}
.box-green {
  background: hsl(120,100%,97.5%);
  border: 1px solid hsl(120,100%,90%);
}
.box-cyan {
  background: hsl(180,100%,97.5%);
  border: 1px solid hsl(180,100%,90%);
}
.box-blue {
  background: hsl(240,100%,97.5%);
  border: 1px solid hsl(240,100%,90%);
}
.box-magenta {
  background: hsl(320,100%,97.5%);
  border: 1px solid hsl(320,100%,90%);
}

.mod-cols-3 {
  display: flex;
  flex-wrap: wrap;
  gap: 15px 3%;
}
.mod-cols-3 > div {
  flex-basis: max(0px,(600px - 100%) * 1000);
  flex-grow: 1;
}

.mod-hdr-cntr {
  margin: 0 0 24px 0;
  font: normal 24px/1.0 'Oswald', sans-serif;
  text-transform: uppercase;
  text-align: center;
  overflow: hidden;
}
.mod-hdr-cntr::before, .mod-hdr-cntr::after {
  content: "";
  height: 1px;
  display: inline-block;
  background: black;
  position: relative;
  vertical-align: middle;
  width: 50%;
}
.mod-hdr-cntr::before {
  margin-left: -50%;
  right: 0.5em;
}
.mod-hdr-cntr::after {
  margin-right: -50%;
  left: 0.5em;
}

.mod-hdr-inv {
  margin: 0 0 15px 0;
  padding: 8px 16px;
  font: normal 16px/1.0 'Oswald', sans-serif;
  text-transform: uppercase;
  background: var(--spot-color);
  color: white;
}

@media screen and ( min-width: 576px ) {
}

@media screen and ( min-width: 768px ) {
  .left {
    flex-basis: 300px;
    background: white;
  }
  .right > section {
    padding: 5%;
  }

  .logo {
    max-width: unset;
  }

  .menu-button {
    display: none;
  }
  .menu {
    display: block;
    position: unset;
    margin: 30px 0;
    background: unset;
  }
  .menu > ul {
    width: unset;
    max-height: unset;
    padding: 0;
  }
  .menu > ul > li > a {
    transition: all 0.3s ease-in-out 0s;
    padding: 21px 0 21px 30px;
  }
  .menu > ul > li > a:hover {
    padding-left: 60px;
  }

  .btn-to-top {
    right: calc(max(50% - 600px,0px) + min(5%,60px) - 15px);
  }
}

@media screen and ( min-width: 992px ) {
}
